Description

Hi,

With the following line in the dhcpd.conf foreman-proxy is not importing subnets defined in included file.

include "/etc/dhcpd.conf.subnets";

The file has a proper permissions allowing foreman-proxy to read the file. No errors in foreman-proxy during the import action:

D, [2012-04-04T07:54:38.783583 #6857] DEBUG -- : Loading subnets for 127.0.0.1

D, [2012-04-04T07:54:38.783727 #6857] DEBUG -- : Added 192.168.97.0/255.255.255.0 to 127.0.0.1

Info on the screen:

"No new subnets found"

I am not sure whether it's a bug or "by design". I am testing foreman against large installation where this feature would be much

appriciated.

thanks

L.

Associated revisions

Revision fcf097c2 - 06/13/2012 08:02 AM - Mikael Fridh 

fixes #1567 - Foreman-proxy ignores dhcpd.conf include directive

Adding functionality that can detect and parse included files in dhcpd.conf.

Supports same syntax as dhcpd.conf(5) manual page specifies on the include

statement:

include "filename";

 
The include statement is used to read in a named file, and

               process the contents of that file as though it were entered in

               place of the include statement.

 This parsing currently requires (unlike isc-dhcpd) that the include statement

is on it's own line, preceded by optional whitespace.

Revision f3923961 - 01/24/2013 06:24 AM - Ohad Levy

refs #1567 - fixed a copy paste error

History

#1 - 06/12/2012 08:40 AM - Mikael Fridh

Got a patch lined up, needs some more testing first:

https://github.com/frimik/smart-proxy/commit/5f606f62975fc4dcd597c28e3773dd2f051c0545
I tested it by adding an include directive in dhcpd.conf, then inside the included file, added another include directive.

Each included file had one subnet each. Smart-proxy detected them both and imported them both.

D, [2012-06-12T14:26:32.114732 #2806] DEBUG -- : Reading config file /etc/dhcp/dhcpd.conf

D, [2012-06-12T14:26:32.115836 #2806] DEBUG -- : Reading config file /etc/dhcp/foo.conf

D, [2012-06-12T14:26:32.116431 #2806] DEBUG -- : Reading config file /etc/dhcp/bar.conf

D, [2012-06-12T14:26:32.116716 #2806] DEBUG -- : Loading subnets for 127.0.0.1

D, [2012-06-12T14:26:32.116920 #2806] DEBUG -- : Added 192.168.56.0/255.255.255.0 to 127.0.0.1

D, [2012-06-12T14:26:32.117057 #2806] DEBUG -- : Added 192.168.57.0/255.255.255.0 to 127.0.0.1

D, [2012-06-12T14:26:32.117184 #2806] DEBUG -- : Added 192.168.66.0/255.255.255.0 to 127.0.0.1

D, [2012-06-12T14:26:32.117311 #2806] DEBUG -- : Added 192.168.58.0/255.255.255.0 to 127.0.0.1

#2 - 06/13/2012 08:19 AM - Anonymous

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset fcf097c2ef3d8eb6295293efec44b2e466c5c476.

#3 - 06/19/2012 09:47 AM - Mikael Fridh

- Assignee set to Mikael Fridh
